Brocade Fibre Channel Networking Community

Expand all | Collapse all

Is there a 64bit version of ezswitchsetup for linux

  • 1.  Is there a 64bit version of ezswitchsetup for linux

    Posted 07-26-2017 07:47 AM

    I'm trying to load the ezswitchsetup8.0 on a 64 bit Red Hat Linux system, and keep getting errors for 32 bit packages.  Does anyone know an easy work around?


    #BrocadeFibreChannelNetworkingCommunity
    #ezswitch
    #EZSwitchSetup


  • 2.  Re: Is there a 64bit version of ezswitchsetup for linux

    Posted 07-26-2017 08:30 AM

    Hello,

     

    Red Hat 64 bits is not listed on release note as supported operating system.

    What is the error message you get and at which step?

     

    Does Java installed is 32 or 64 bits?

     


    #BrocadeFibreChannelNetworkingCommunity


  • 3.  Re: Is there a 64bit version of ezswitchsetup for linux

    Posted 07-26-2017 09:52 AM

    I run the install.bin and gets to Launching Installer.

    Invocation of this Java Application has caused an InvocationTargetException.  This applicaiton will now exit. (LAX)

    java.lang.UnsatisifiedLinkError: /tmp/install.dir.11528/Linux/resource/jre/lib/i386/xawt/libmawt.so: libXext.so.6: wrong ELF class: ELFCLASS64

     

    Java version is java-1.8.0-ibm.x86_64 1:1.8.0.4.5-1jpp.1.el6_9

     

    Thanks


    #BrocadeFibreChannelNetworkingCommunity


  • 4.  Re: Is there a 64bit version of ezswitchsetup for linux

    Posted 07-26-2017 09:54 AM

    Sorry I added this as a new post, should have hit the reply to you.

     

    I run the install.bin and gets to Launching Installer.

    Invocation of this Java Application has caused an InvocationTargetException.  This applicaiton will now exit. (LAX)

    java.lang.UnsatisifiedLinkError: /tmp/install.dir.11528/Linux/resource/jre/lib/i386/xawt/libmawt.so: libXext.so.6: wrong ELF class: ELFCLASS64

     

    Java version is java-1.8.0-ibm.x86_64 1:1.8.0.4.5-1jpp.1.el6_9

     

    Thanks


    #BrocadeFibreChannelNetworkingCommunity


  • 5.  Re: Is there a 64bit version of ezswitchsetup for linux

    Posted 07-26-2017 11:43 PM

    Java plug in recommended is: JRE 1.8.0_111 (32 bits).


    #BrocadeFibreChannelNetworkingCommunity


  • 6.  Re: Is there a 64bit version of ezswitchsetup for linux

    Posted 08-21-2017 03:29 AM

    Hi raimundo,

     

    Notice that officially, do not support 32 bit. But,

    I did a quick test on my Centos 7 machine (64 bit) - almost the same as Red Hat - and I got the GUI up and running by doing the following

     

    $ sudo yum install libX11.i686 libXext.i686 libXi.i686 libXtst.i686

     

    I figured out the first level of 32 bit libraries missing by

     

    $ ldd /tmp/install.dir.6617/Linux/resource/jre/lib/i386/xawt/libmawt.so  | grep not\ found | sort -u

            libjvm.so => not found
            libX11.so.6 => not found
            libXext.so.6 => not found
            libXi.so.6 => not found
            libXtst.so.6 => not found

     

     


    #BrocadeFibreChannelNetworkingCommunity